Bug 1738549 (CVE-2019-11775) - CVE-2019-11775 IBM JDK: Failure to privatize a value pulled out of the loop by versioning
Summary: CVE-2019-11775 IBM JDK: Failure to privatize a value pulled out of the loop b...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-11775
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1738535 1738536 1738537 1741809 1741810 1741811 1741812 1741813 1745502
Blocks: 1724463
TreeView+ depends on / blocked
 
Reported: 2019-08-07 12:33 UTC by Tomas Hoger
Modified: 2020-02-06 02:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-26 13:07:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2494 None None None 2019-08-15 09:03:31 UTC
Red Hat Product Errata RHSA-2019:2495 None None None 2019-08-15 09:01:37 UTC
Red Hat Product Errata RHSA-2019:2585 None None None 2019-09-02 07:18:17 UTC
Red Hat Product Errata RHSA-2019:2590 None None None 2019-09-02 07:45:02 UTC
Red Hat Product Errata RHSA-2019:2592 None None None 2019-09-02 10:34:51 UTC
Red Hat Product Errata RHSA-2019:2737 None None None 2019-09-11 15:07:21 UTC

Description Tomas Hoger 2019-08-07 12:33:37 UTC
IBM JDK 7 SR10 FP50 (7.0.10.50), 7.1 SR4 FP50 (7.1.4.50), and 8 SR5 FP40 (8.0.5.40) fix a flaw described by upstream as:

Eclipse OpenJ9 could allow a local attacker to gain elevated privileges on the system, caused by an error where the loop versioner fails to privatize a value that is pulled out of the loop by versioning. An attacker could exploit this vulnerability to corrupt memory and trigger an out-of-array-bounds and perform invalid actions.

OpenJ9 upstream bug:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=549601

Eclipse OMR upstream bug and merge request:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=549192
https://github.com/eclipse/omr/pull/4138

References:

https://www-01.ibm.com/support/docview.wss?uid=ibm10960422
https://developer.ibm.com/javasdk/support/security-vulnerabilities/#IBM_Security_Update_July_2019

Comment 1 errata-xmlrpc 2019-08-15 09:01:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2019:2495 https://access.redhat.com/errata/RHSA-2019:2495

Comment 2 errata-xmlrpc 2019-08-15 09:03:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2019:2494 https://access.redhat.com/errata/RHSA-2019:2494

Comment 3 Product Security DevOps Team 2019-08-26 13:07:28 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-11775

Comment 4 errata-xmlrpc 2019-09-02 07:18:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2019:2585 https://access.redhat.com/errata/RHSA-2019:2585

Comment 5 errata-xmlrpc 2019-09-02 07:45:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:2590 https://access.redhat.com/errata/RHSA-2019:2590

Comment 6 errata-xmlrpc 2019-09-02 10:34:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2019:2592 https://access.redhat.com/errata/RHSA-2019:2592

Comment 7 errata-xmlrpc 2019-09-11 15:07:20 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.8

Via RHSA-2019:2737 https://access.redhat.com/errata/RHSA-2019:2737


Note You need to log in before you can comment on or make changes to this bug.